> ## Documentation Index
> Fetch the complete documentation index at: https://docs-docflow.textin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 同步上传文件

> 同步上传文件并等待处理完成，返回处理结果



## OpenAPI

````yaml /docflow/cn/rest-api/openapi.bundle.yaml post /api/app-api/sip/platform/v2/file/upload/sync
openapi: 3.0.0
info:
  title: DocFlow API
  description: DocFlow REST API，提供文件上传和获取文件处理结果能力
  version: 2.8.4
servers:
  - url: https://docflow.textin.com
security:
  - ApiId: []
    SecretCode: []
paths:
  /api/app-api/sip/platform/v2/file/upload/sync:
    post:
      summary: 同步上传文件
      description: 同步上传文件并等待处理完成，返回处理结果
      operationId: uploadFileSync
      parameters:
        - $ref: '#/components/parameters/parameters_WorkspaceId'
        - $ref: '#/components/parameters/parameters_Category'
        - $ref: '#/components/parameters/parameters_BatchNumber'
        - $ref: '#/components/parameters/parameters_AutoVerifyVat'
        - $ref: '#/components/parameters/parameters_SplitFlag'
        - $ref: '#/components/parameters/parameters_CropFlag'
        - $ref: '#/components/parameters/parameters_TargetProcess'
        - $ref: '#/components/parameters/parameters_ParserRemoveWatermark'
        - $ref: '#/components/parameters/parameters_ParserCropDewarp'
        - $ref: '#/components/parameters/parameters_ParserApplyMerge'
        - $ref: '#/components/parameters/parameters_ParserFormulaLevel'
        - $ref: '#/components/parameters/parameters_ParserTableTextSplitMode'
        - $ref: '#/components/parameters/ParserDpi'
        - $ref: '#/components/parameters/ParserParseMode'
        - $ref: '#/components/parameters/ParserPdfPwd'
        - $ref: '#/components/parameters/parameters_WithTaskDetailUrl'
      requestBody:
        $ref: '#/components/requestBodies/request-bodies_FileUploadRequestBody'
      responses:
        '200':
          description: 文件上传并处理成功
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/CodeMessage'
                  - $ref: '#/components/schemas/TaskProcessResult'
components:
  parameters:
    parameters_WorkspaceId:
      name: workspace_id
      in: query
      description: 空间ID
      required: true
      schema:
        type: string
        example: 1234567890
    parameters_Category:
      name: category
      in: query
      description: 文件类别
      required: false
      schema:
        type: string
        example: invoice
    parameters_BatchNumber:
      name: batch_number
      in: query
      description: |
        批次编号。  
        可以用同一个批次编号上传多次，后续可以用批次编号获取该批次多个文件处理结果。  
        如果值为空，则系统自动生成最长20位字符串
      required: false
      schema:
        type: string
        example: 202412190001
    parameters_AutoVerifyVat:
      name: auto_verify_vat
      in: query
      description: 是否自动进行发票验真
      required: false
      schema:
        type: boolean
        default: false
    parameters_SplitFlag:
      name: split_flag
      in: query
      description: 是否进行文件拆分
      required: false
      schema:
        type: boolean
        default: false
    parameters_CropFlag:
      name: crop_flag
      in: query
      description: 是否进行多图切分
      required: false
      schema:
        type: boolean
        default: false
    parameters_TargetProcess:
      name: target_process
      in: query
      description: |
        目标处理类型。  
        可选值：  
        - `classify`: 分类  
        - `extract`: 抽取  
      required: false
      schema:
        type: string
        enum:
          - classify
          - extract
        example: classify
    parameters_ParserRemoveWatermark:
      name: parser_remove_watermark
      in: query
      description: 是否去水印（0:不去水印、1:去水印）
      required: false
      schema:
        type: integer
        default: 0
    parameters_ParserCropDewarp:
      name: parser_crop_dewarp
      in: query
      description: 是否进行切边矫正（0:不进行切边矫正、1:进行切边矫正）
      required: false
      schema:
        type: integer
        default: 0
    parameters_ParserApplyMerge:
      name: parser_apply_merge
      in: query
      description: 是否进行跨页段落表格合并（0:不合并、1:合并）
      required: false
      schema:
        type: integer
        default: 1
    parameters_ParserFormulaLevel:
      name: parser_formula_level
      in: query
      description: 公式识别等级(0 行间公式和行内公式都识别、1 仅识别行间公式，行内公式不识别、2 不识别公式)
      required: false
      schema:
        type: integer
        default: 0
    parameters_ParserTableTextSplitMode:
      name: parser_table_text_split_mode
      in: query
      description: 表格线是否分割ocr文本（0:不切割、1:切割）
      required: false
      schema:
        type: integer
        default: 0
    ParserDpi:
      name: parser_dpi
      in: query
      description: 文件分辨率（144:默认、216:高精度）
      required: false
      schema:
        type: integer
        default: 144
        enum:
          - 144
          - 216
    ParserParseMode:
      name: parser_parse_mode
      in: query
      description: |
        解析模式
        - `auto`: 自动（默认）
        - `scan`: 扫描件模式
        - `vlm`: VLM模式
      required: false
      schema:
        type: string
        enum:
          - auto
          - scan
          - vlm
    ParserPdfPwd:
      name: parser_pdf_pwd
      in: query
      description: PDF文件密码，用于解密加密的PDF文件
      required: false
      schema:
        type: string
    parameters_WithTaskDetailUrl:
      name: with_task_detail_url
      in: query
      description: 是否返回任务详情页URL
      required: false
      schema:
        type: boolean
        default: false
  requestBodies:
    request-bodies_FileUploadRequestBody:
      description: 文件上传请求体
      required: true
      content:
        multipart/form-data:
          schema:
            type: object
            properties:
              file:
                type: string
                format: binary
        application/json:
          schema:
            type: object
            properties:
              urls:
                description: |
                  文件URL列表
                  一次最多支持上传10个文件URL，每个文件最大不超过100MB
                type: array
                items:
                  type: string
                  description: 文件URL
                  example: https://example.com/file.pdf
                  pattern: ^https?://.*$
                maxItems: 10
            required:
              - urls
  schemas:
    CodeMessage:
      type: object
      properties:
        code:
          type: integer
          description: 状态码
          example: 200
        msg:
          type: string
          description: 状态描述
      required:
        - code
        - msg
    TaskProcessResult:
      type: object
      properties:
        result:
          type: object
          properties:
            total:
              type: integer
              description: 文件总数
              example: 100
            page:
              type: integer
              description: 当前页码
              example: 1
            page_size:
              type: integer
              description: 每页数量
              example: 20
            files:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                    description: 文件ID
                    example: 202412190001
                  task_id:
                    type: string
                    description: 任务ID
                    example: 202412190001
                  task_detail_url:
                    type: string
                    description: 文件任务详情页URL
                  task_type:
                    $ref: '#/components/schemas/TaskType'
                  batch_number:
                    type: string
                    description: 批次编号
                    example: 202412190001
                  name:
                    type: string
                    description: 文件名
                    example: invoice.pdf
                  format:
                    type: string
                    description: 文件格式
                  recognition_status:
                    $ref: '#/components/schemas/RecognitionStatus'
                  failure_causes:
                    type: string
                    description: |
                      任务失败原因。  
                      当recognition_status为2时，有此字段。
                  verification_status:
                    $ref: '#/components/schemas/VerificationStatus'
                  category:
                    type: string
                    description: 文件类别
                    example: invoice
                  pages:
                    $ref: '#/components/schemas/PagesInfo'
                  data:
                    type: object
                    description: 处理结果
                    properties:
                      fields:
                        description: 字段列表
                        type: array
                        items:
                          $ref: '#/components/schemas/FieldRespKeyValue'
                        example:
                          - key: 发票代码
                            identifier: 发票代码标识
                            value: '3100231130'
                            position:
                              - page: 0
                                vertices:
                                  - 0
                                  - 0
                                  - 100
                                  - 0
                                  - 100
                                  - 100
                                  - 0
                                  - 100
                          - key: 发票号码
                            identifier: 发票号码标识
                            value: '28737000'
                            position:
                              - page: 0
                                vertices:
                                  - 0
                                  - 0
                                  - 100
                                  - 0
                                  - 100
                                  - 100
                                  - 0
                                  - 100
                      items:
                        description: 表格数据列表
                        type: array
                        items:
                          type: array
                          items:
                            $ref: '#/components/schemas/KeyValue'
                        example:
                          - - key: 货物劳务名称
                              value: ＊电子计算机＊微型计算机主机
                              position:
                                - page: 0
                                  vertices:
                                    - 0
                                    - 0
                                    - 100
                                    - 0
                                    - 100
                                    - 100
                                    - 0
                                    - 100
                            - key: 规格型号
                              value: DMS-SC68
                              position:
                                - page: 0
                                  vertices:
                                    - 0
                                    - 0
                                    - 100
                                    - 0
                                    - 100
                                    - 100
                                    - 0
                                    - 100
                          - - key: 货物劳务名称
                              value: ＊机械计算机＊巨型计算机主机
                              position:
                                - page: 0
                                  vertices:
                                    - 0
                                    - 0
                                    - 100
                                    - 0
                                    - 100
                                    - 100
                                    - 0
                                    - 100
                            - key: 规格型号
                              value: AN/FSQ-7
                              position:
                                - page: 0
                                  vertices:
                                    - 0
                                    - 0
                                    - 100
                                    - 0
                                    - 100
                                    - 100
                                    - 0
                                    - 100
                      tables:
                        description: 全部表格数据列表（含系统表格和手动配置表格）
                        type: array
                        items:
                          type: object
                          properties:
                            tableName:
                              description: 表格名称
                              type: string
                              example: table1
                            tableType:
                              description: 表格类型， 0， 系统配置， 1 手动添加。
                              type: string
                              example: 0
                            usePrompt:
                              description: 是否使用语意抽取
                              type: boolean
                            extractModel:
                              description: 整表抽取模型（实际命中模型），Acgpt / Acgpt-VL / DF-M1
                              type: string
                            configModel:
                              description: >-
                                整表配置模型（配置值），Auto / Acgpt / Acgpt-VL /
                                DF-M1；存量未配置为 null
                              type: string
                            items:
                              type: array
                              items:
                                type: array
                                items:
                                  $ref: '#/components/schemas/CommonFieldDetailRespVO'
                      stamps:
                        description: 印章信息
                        type: array
                        items:
                          $ref: '#/components/schemas/StampValue'
                        example:
                          - angel: 0
                            page: 0
                            text: 全国统一发票监制章
                            type: 其他
                            color: 红色
                            shape: 椭圆章
                            position:
                              - 0
                              - 0
                              - 100
                              - 0
                              - 100
                              - 100
                              - 0
                              - 100
                          - angel: 0
                            page: 0
                            text: 税务局章
                            type: 其他
                            color: 红色
                            shape: 椭圆章
                            position:
                              - 0
                              - 0
                              - 100
                              - 0
                              - 100
                              - 100
                              - 0
                              - 100
                      handwritings:
                        description: 手写体信息
                        type: array
                        items:
                          $ref: '#/components/schemas/HandWritingValue'
                        example:
                          - angel: 0
                            page: 0
                            text: 3月1日
                            position:
                              - page: 0
                                vertices:
                                  - 0
                                  - 0
                                  - 100
                                  - 0
                                  - 100
                                  - 100
                                  - 0
                                  - 100
                          - angel: 0
                            page: 0
                            text: 张三
                            position:
                              - page: 0
                                vertices:
                                  - 0
                                  - 0
                                  - 100
                                  - 0
                                  - 100
                                  - 100
                                  - 0
                                  - 100
                      invoiceVerifyResult:
                        description: 发票验真结果
                        type: object
                        properties:
                          invoiceVerifyStatus:
                            type: integer
                            description: 发票验真是否成功(0:否,1:是, null:未验真)
                            example: 0
                          invoiceVerifyErrorCode:
                            type: integer
                            description: 发票验真错误码
                            example: 0
                          invoiceVerifyCanRetry:
                            type: integer
                            description: 发票验真是否可以重试/发起(0:否,1:是)
                            example: 0
                          invoiceVerifyFailMsg:
                            type: string
                            description: 发票验真失败原因
                            example: 超过当天次数上限
                  document:
                    $ref: '#/components/schemas/Document'
                  child_files:
                    description: 子任务信息
                    type: array
                    items:
                      $ref: '#/components/schemas/SubFileDetailInfo'
                  duration_ms:
                    type: integer
                    description: |
                      任务处理时间，单位：毫秒
                      计算的是从任务开始至完成(成功或失败)的时间，不包括排队等待时间。
                    example: 10000
                  total_page_num:
                    type: integer
                    description: 当前文件总页数
                    example: 10
                  parser_params:
                    description: 文件解析参数配置
                    allOf:
                      - $ref: '#/components/schemas/DocumentParserParam'
                required:
                  - id
                  - name
                  - format
                  - recognition_status
                  - verification_status
                  - category
    TaskType:
      type: integer
      description: >
        任务类型

        - `0`:
        **文件拆分子任务**：打开"文件拆分"开关的文件任务执行成功后，该文件批次任务中因文件拆分操作产生的子任务即为拆分子任务，按照文件类别下实际文件套数区分子任务

        - `1`: **普通任务**：未打开"文件拆分"和"多图切分"开关的文件任务

        - `2`: **父任务**：打开"文件拆分"或"多图切分"开关的文件任务执行后，该文件批次任务中的每份文件即为父任务

        - `3`:
        **切图子任务**：打开"多图切分"开关的文件任务执行成功后，该文件批次任务中因多图切分操作产生的子任务即为切分子任务，按照文件类别下实际切图结果数量区分子任务
      example: 1
    RecognitionStatus:
      type: integer
      description: |
        文件识别状态: 
        - 0: 待识别
        - 1: 识别成功
        - 2: 识别失败
        - 3: 分类中
        - 4: 抽取中
        - 5: 准备中
        - 6: 文件拆分中
        - 7: 切图中
        - 10: 分类完成(当upload接口的target_process为classify时才有此状态)
        - 20: 解析中
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 10
        - 20
    VerificationStatus:
      type: integer
      description: '文件核对状态 0: 待核对 2: 已确认 3: 已拒绝 4: 已删除 5: 推迟处理'
      enum:
        - 0
        - 2
        - 3
        - 4
        - 5
    PagesInfo:
      type: array
      description: |
        文件每页用于渲染的数据。  
        配合`data.fields`中的`page`和`position`字段，可以准确画出字段在页面上的位置。
      items:
        type: object
        properties:
          page:
            type: integer
            description: 页码,从0开始
            example: 1
          angle:
            type: integer
            description: 旋转角度
            enum:
              - 0
              - 90
              - 180
              - 270
          width:
            type: integer
            description: 转正后的页宽
            example: 1024
          height:
            type: integer
            description: 转正后的页高
            example: 1024
          dpi:
            type: integer
            description: PDF转图片时的分辨率。非PDF文件该值为`0`.
            example: 144
    FieldRespKeyValue:
      type: object
      properties:
        key:
          type: string
          description: 字段名
        identifier:
          type: string
          description: 导出字段名
        value:
          type: string
          description: 字段值
        position:
          $ref: '#/components/schemas/KeyValuePosition'
        confidence:
          type: number
          format: float
          description: 置信度分值，取值范围 0~1
          example: 0.95
        extractModel:
          type: string
          description: 实际命中模型（Acgpt / Acgpt-VL / DF-M1）
        configModel:
          type: string
          description: 配置模型（Auto / Acgpt / Acgpt-VL / DF-M1）；存量未配置为 null
    KeyValue:
      type: object
      properties:
        key:
          type: string
          description: 字段名
        value:
          type: string
          description: 字段值
        position:
          $ref: '#/components/schemas/KeyValuePosition'
    CommonFieldDetailRespVO:
      type: object
      properties:
        key:
          type: string
          description: 字段key
        identifier:
          type: string
          description: 导出字段名
        value:
          type: string
          description: 字段值
        textInLines:
          deprecated: true
          type: array
          description: |
            **已废弃**，请使用position字段替代
            字段坐标
          items:
            $ref: '#/components/schemas/TextInLines'
        position:
          $ref: '#/components/schemas/KeyValuePosition'
        index:
          type: integer
          description: 索引
        confidence:
          type: number
          format: float
          description: 置信度分值，取值范围 0~1
          example: 0.95
    StampValue:
      type: object
      properties:
        angel:
          type: integer
          description: 角度
        page:
          type: integer
          description: 页码
        text:
          type: string
          description: 印章文本内容
        type:
          type: string
          description: 印章类型
        color:
          type: string
          description: 印章颜色
        shape:
          type: string
          description: 印章形状
        position:
          type: array
          description: 位置信息
          items:
            type: integer
          example: 1
    HandWritingValue:
      type: object
      properties:
        angel:
          type: integer
          description: 角度
        page:
          type: integer
          description: 页码
        text:
          type: string
          description: 印章文本内容
        position:
          $ref: '#/components/schemas/KeyValuePosition'
    Document:
      type: object
      properties:
        pages:
          type: array
          items:
            type: object
            properties:
              angle:
                type: integer
                description: 页面的旋转角度
              width:
                type: integer
                description: 页面的宽度
              height:
                type: integer
                description: 页面的高度
              lines:
                description: 页面的文本行数组
                type: array
                items:
                  type: object
                  properties:
                    text:
                      type: string
                      description: 行文本
                    position:
                      type: array
                      items:
                        type: integer
                      minItems: 8
                      maxItems: 8
                    charPositions:
                      type: array
                      items:
                        type: array
                        items:
                          type: integer
                        minItems: 8
                        maxItems: 8
    SubFileDetailInfo:
      type: object
      properties:
        id:
          type: string
          description: 文件ID
          example: 202412190001
        task_id:
          type: string
          description: 任务ID
          example: 202412190001
        task_detail_url:
          type: string
          description: 文件子任务详情页URL
        task_type:
          $ref: '#/components/schemas/TaskType'
        parent_task_id:
          type: string
          description: 父任务ID（不为0时有意义）
          example: 202412190001
        batch_number:
          type: string
          description: 批次编号
          example: 202412190001
        name:
          type: string
          description: 文件名
          example: invoice.pdf
        format:
          type: string
          description: 文件格式
        recognition_status:
          $ref: '#/components/schemas/RecognitionStatus'
        verification_status:
          $ref: '#/components/schemas/VerificationStatus'
        category:
          type: string
          description: 文件类别
          example: invoice
        pages:
          $ref: '#/components/schemas/PagesInfo'
        data:
          type: object
          description: 处理结果
          properties:
            fields:
              description: 字段列表
              type: array
              items:
                $ref: '#/components/schemas/FieldRespKeyValue'
              example:
                - key: 发票代码
                  identifier: 发票代码标识
                  value: '3100231130'
                  position:
                    - page: 0
                      vertices:
                        - 0
                        - 0
                        - 100
                        - 0
                        - 100
                        - 100
                        - 0
                        - 100
                - key: 发票号码
                  identifier: 发票号码标识
                  value: '28737000'
                  position:
                    - page: 0
                      vertices:
                        - 0
                        - 0
                        - 100
                        - 0
                        - 100
                        - 100
                        - 0
                        - 100
            items:
              description: 表格数据列表
              type: array
              items:
                type: array
                items:
                  $ref: '#/components/schemas/KeyValue'
              example:
                - - key: 货物劳务名称
                    value: ＊电子计算机＊微型计算机主机
                    position:
                      - page: 0
                        vertices:
                          - 0
                          - 0
                          - 100
                          - 0
                          - 100
                          - 100
                          - 0
                          - 100
                  - key: 规格型号
                    value: DMS-SC68
                    position:
                      - page: 0
                        vertices:
                          - 0
                          - 0
                          - 100
                          - 0
                          - 100
                          - 100
                          - 0
                          - 100
                - - key: 货物劳务名称
                    value: ＊机械计算机＊巨型计算机主机
                    position:
                      - page: 0
                        vertices:
                          - 0
                          - 0
                          - 100
                          - 0
                          - 100
                          - 100
                          - 0
                          - 100
                  - key: 规格型号
                    value: AN/FSQ-7
                    position:
                      - page: 0
                        vertices:
                          - 0
                          - 0
                          - 100
                          - 0
                          - 100
                          - 100
                          - 0
                          - 100
            tables:
              description: 全部表格数据列表（含系统表格和手动配置表格）
              type: array
              items:
                type: object
                properties:
                  tableName:
                    description: 表格名称
                    type: string
                    example: table1
                  tableType:
                    description: 表格类型， 0， 系统配置， 1 手动添加。
                    type: string
                    example: 0
                  extractModel:
                    description: 整表抽取模型（实际命中模型），Acgpt / Acgpt-VL / DF-M1
                    type: string
                  configModel:
                    description: 整表配置模型（配置值），Auto / Acgpt / Acgpt-VL / DF-M1；存量未配置为 null
                    type: string
                  items:
                    type: array
                    items:
                      type: array
                      items:
                        $ref: '#/components/schemas/CommonFieldDetailRespVO'
            stamps:
              description: 印章信息
              type: array
              items:
                $ref: '#/components/schemas/StampValue'
              example:
                - angel: 0
                  page: 0
                  text: 全国统一发票监制章
                  type: 其他
                  color: 红色
                  shape: 椭圆章
                  position:
                    - 0
                    - 0
                    - 100
                    - 0
                    - 100
                    - 100
                    - 0
                    - 100
                - angel: 0
                  page: 0
                  text: 税务局章
                  type: 其他
                  color: 红色
                  shape: 椭圆章
                  position:
                    - 0
                    - 0
                    - 100
                    - 0
                    - 100
                    - 100
                    - 0
                    - 100
            handwritings:
              description: 手写体信息
              type: array
              items:
                $ref: '#/components/schemas/HandWritingValue'
              example:
                - angel: 0
                  page: 0
                  text: 3月1日
                  position:
                    - page: 0
                      vertices:
                        - 0
                        - 0
                        - 100
                        - 0
                        - 100
                        - 100
                        - 0
                        - 100
                - angel: 0
                  page: 0
                  text: 张三
                  position:
                    - page: 0
                      vertices:
                        - 0
                        - 0
                        - 100
                        - 0
                        - 100
                        - 100
                        - 0
                        - 100
            invoiceVerifyResult:
              description: 发票验真结果
              type: object
              properties:
                invoiceVerifyStatus:
                  type: integer
                  description: 发票验真是否成功(0:否,1:是, null:未验真)
                  example: 0
                invoiceVerifyErrorCode:
                  type: integer
                  description: 发票验真错误码
                  example: 0
                invoiceVerifyCanRetry:
                  type: integer
                  description: 发票验真是否可以重试/发起(0:否,1:是)
                  example: 0
                invoiceVerifyFailMsg:
                  type: string
                  description: 发票验真失败原因
                  example: 超过当天次数上限
        document:
          $ref: '#/components/schemas/Document'
        from_parent_position_list:
          type: array
          description: 切图结果在原文件中的坐标位置
          items:
            type: integer
            description: 位置信息
            example: 1
        crop_info:
          $ref: '#/components/schemas/TaskCropResult'
    DocumentParserParam:
      type: object
      properties:
        formula_level:
          type: integer
          description: 公式识别等级(0 行间公式和行内公式都识别、1 仅识别行间公式，行内公式不识别、2 不识别公式)
          example: 0
        apply_merge:
          type: integer
          description: 跨页段落表格合并(0 不合并、1 合并)
          example: 1
        table_text_split_mode:
          type: integer
          description: 切分被表格线穿过的文本块(0 不切分、1 切分)
          example: 0
        crop_dewarp:
          type: integer
          description: 是否进行切边矫正(0 不进行切边矫正、1 进行切边矫正)
          example: 0
        remove_watermark:
          type: integer
          description: 是否去水印(0 不去水印、1 去水印)
          example: 0
        dpi:
          type: integer
          description: 文件分辨率(144 默认、216 高精度)
          example: 144
          enum:
            - 144
            - 216
        parse_mode:
          type: string
          description: |
            解析模式
            - `auto`: 自动（默认）
            - `scan`: 扫描件模式
            - `vlm`: VLM模式
          example: auto
          enum:
            - auto
            - scan
            - vlm
        pdf_pwd:
          type: string
          description: PDF文件密码，用于解密加密的PDF文件
    KeyValuePosition:
      description: 字段值的位置。字段值可能跨页或跨行，因此用数组展示。
      type: array
      items:
        type: object
        properties:
          page:
            type: integer
            description: 字段所在页。是`pages`数组的索引
          vertices:
            type: array
            description: >-
              字段值的外接四边形坐标。图像以左上为原点，数组值为 [左上角x, 左上角y, 右上角x, 右上角y, 右下角x, 右下角y,
              左下角x, 左下角y]
            items:
              type: integer
            minItems: 8
            maxItems: 8
    TextInLines:
      type: object
      properties:
        angle:
          type: string
          description: 角度
          example: 0
        pos:
          type: array
          description: 坐标
          items:
            type: integer
            description: 坐标
            example: 1
        page:
          type: integer
          description: 页码
          example: 1
        text:
          type: string
          description: 文本
          example: 文本内容
        char_pos:
          type: array
          description: 字符坐标
          items:
            type: array
            description: 字符坐标
            items:
              type: integer
              description: 字符坐标
              example: 1
      description: 字段坐标
    TaskCropResult:
      type: object
      properties:
        page:
          type: integer
          description: 所属原文件的页索引，0代表源文件的第一页
        imageAngle:
          type: string
          description: 切分图片的角度信息
  securitySchemes:
    ApiId:
      type: apiKey
      in: header
      name: x-ti-app-id
    SecretCode:
      type: apiKey
      in: header
      name: x-ti-secret-code

````